### Method

# WebKit WebView get_display_capture_state

since: 2.34

#### Declaration [src]

    WebKitMediaCaptureState
    webkit_web_view_get_display_capture_state (
      WebKitWebView* web_view
    )

#### Description [src]

Get the display capture state of a `WebKitWebView`.

Available since: 2.34

Gets property | `WebKit.WebView:display-capture-state`

#### Return value

Type: `WebKitMediaCaptureState`

The `WebKitMediaCaptureState` of the display device. If `WebKitSettings:enable-mediastream` is `FALSE`, this method will return `WEBKIT_MEDIA_CAPTURE_STATE_NONE`.